%define upstream_name    Alien-GMP
%define upstream_version 1.16

%global debug_package %{nil}
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Alien package for the GNU Multiple Precision library
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz

# For Alien::Build::Plugin::Probe::CBuilder:
BuildRequires: perl(Alien::Base) >= 1.460.0
BuildRequires: perl(Alien::Build) >= 0.250.0
BuildRequires: perl(Alien::Build::MM) >= 0.320.0
BuildRequires: perl(Devel::CheckLib)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.520.0
BuildRequires: perl(Test2::V0) >= 0.0.60
BuildRequires: perl(Test::Alien)
BuildRequires: gmp-devel
Requires:   libgmp
%description
This distribution installs GMP so that it can be used by other Perl
distributions. If already installed for your operating system, and it can
be found, this distribution will use the GMP that comes with your operating
system, otherwise it will download it from the Internet, build and install
it for you.

C++ support
    This Alien will provide the C++ bindings for GMP (libgmpxx) if
    possible. If you do not have a C++ compiler, or if your operating
    system vendor provides a GMP package without the needed C++ files then
    it will not be available. To use the C++ bindings, you can use the
    'alt' method to create a C++ instance of this GMP Alien. For example:

     use ExtUtils::MakeMaker;
     use Config;
     use Alien::GMP;

     WriteMakefile(
       ...
       CONFIGURE_REQUIRES => {
         'Alien::GMP' => '1.06', # require version that provides C++ bindings
       },
       CCFLAGS => Alien::GMP->alt('gmpxx')->cflags . " $Config{ccflags}",
       LIBS    => [ Alien::GMP->alt('gmpxx')->libs ],
       ...
     );

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.160.0-4.mga10
+ Revision: 2214961
- Mageia 10 Mass Rebuild

* Thu Aug 04 2022 tv <tv> 1.160.0-3.mga9
+ Revision: 1875075
- Rebuild for perl-5.36

* Fri Mar 18 2022 umeabot <umeabot> 1.160.0-2.mga9
+ Revision: 1797938
- Mageia 9 Mass Rebuild

* Thu Apr 23 2020 tv <tv> 1.160.0-1.mga8
+ Revision: 1571198
- update to 1.16

* Wed Feb 12 2020 umeabot <umeabot> 1.140.0-4.mga8
+ Revision: 1506573
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 tv <tv> 1.140.0-3.mga7
+ Revision: 1286825
- revert making it noarch (would need to play with vendorlib vs vendorarch)

* Thu Sep 20 2018 tv <tv> 1.140.0-2.mga7
+ Revision: 1286807
- BR gmp-devel for Alien::Build::Plugin::Probe::CBuilder>
- make it noarch
- fix filelist

* Tue Jun 26 2018 tv <tv> 1.140.0-1.mga7
+ Revision: 1239803
- update to 1.14

* Sat Jun 09 2018 tv <tv> 1.110.0-1.mga7
+ Revision: 1235669
- update to 1.11

* Mon Apr 23 2018 shlomif <shlomif> 1.100.0-1.mga7
+ Revision: 1221440
- update to 1.10

* Mon Apr 16 2018 shlomif <shlomif> 1.80.0-3.mga7
+ Revision: 1219405
- made arch-specific

* Sat Apr 07 2018 shlomif <shlomif> 1.80.0-2.mga7
+ Revision: 1215924
- Fix deps
- imported package perl-Alien-GMP


* Sat Apr 07 2018 cpan2dist 1.08-1mga
- initial mageia release, generated with cpan2dist
